{% extends "crud.html" %}


{% block top_records_navigation %}
    <div class="col"></div>
{% endblock %}


{% block empty_spiel %}
    Inspect Finished Goods
    <br />
    to view their description, and stock level
{% endblock %}


{% block read_columns %}
{# <script> #}
    {
        data: 'product_code',
        render: function(data) {
            return '<a href="javascript:;" data-crud-toggle="details" class="font-weight-bold" aria-expanded="true"> {0}</a>'.format(data);
        }
    },
    {
        data: 'description'
    },
    {
        data: 'variant'
    },
    {
        data: 'stock_on_hand'
    },
    {
        data: 'last_transaction',
        render: function(data) {
            return (data == null) ? 'N/A' : data;
        }
    },
    {
        data: '_id',
        sortable: false,
        className: 'text-center',
        render: function(data, type, row) {
            return '<a href="{0}" class="btn btn-success btn-sm btn-block"><i class="fa fa-list fa-fw"></i> Stock Card</a>'.format('{{ url_for(".stock_card", _id="placeholder", from="records") }}'.replace('placeholder', data));
        }
    },
    {
        data: '_id',
        sortable: false,
        className: 'text-center',
        render: function(data, type, row) {
            return '<a href="{0}" class="btn btn-warning btn-sm btn-block"><i class="fa fa-plus fa-fw"></i> Stock Transfer</a>'.format('{{ url_for(".stock_transfer", _id="placeholder", from="records") }}'.replace('placeholder', data));
        }
    }
{# </script> #}
{% endblock %}
